<div id="budgetConfiguration">

    <ul class="breadcrumb">
        <li><a href="<?= $this->url('root') ?>"><?= $this->icon('budget') ?></a></li>
        <li><?= $this->translate('administration_module_title') ?></li>
        <li><?= $this->translate('budget_module_title') ?></li>
    </ul>

    <h1 class="page-title">
        <?= $this->icon('budget') ?> <?= $this->translate('budget_module_title') ?>
    </h1>

    <div class="row row-padding">
        <div class="col-xs-12">
            <ul class="nav nav-tabs">
                <li class="active">
                    <a href="#posteExpense" data-toggle="tab">
                        <?= ucfirst($this->translate('poste_expense_entity')); ?>
                    </a>
                </li>
            </ul>
            <div class="panel">
                <div class="panel-body">
                    <div class="tab-content">
                        <div id="posteExpense" class="tab-pane active" ng-controller="posteExpenseReferentialController as self" ng-init="self.init()">
                            <button class="btn pull-right" ng-click="self.createGroup()" style="margin-bottom: 5px;">
                                <i class="fa fa-plus"></i>
                                <?= $this->translate('poste_expense_referential_add_group'); ?>
                            </button>
                            <div class="row separator">
                                <div class="col-xs-12">
                                    <table class="table table-bordered table-condensed table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width: 20px;"></th>
                                                <th style="width: 90px;"><?= $this->translate('poste_expense_ref_actions'); ?></th>
                                                <th><?= $this->translate('poste_expense_ref_name'); ?></th>
                                                <th><?= $this->translate('poste_expense_ref_account'); ?></th>
                                                <th><?= $this->translate('poste_expense_ref_category'); ?></th>
                                                <th style="width: 60px;"></th>
                                            </tr>
                                        </thead>
                                        <tbody ng-repeat="group in self.groups">
                                            <tr>
                                                <td>
                                                    <i ng-if="group.open" class="fa pointer fa-caret-down" ng-click="group.open = !group.open"></i>
                                                    <i ng-if="!group.open" class="fa pointer fa-caret-right" ng-click="group.open = !group.open"></i>
                                                </td>
                                                <td>
                                                    <div class="btn-group btn-group-actions pull-right">
                                                        <?php if ($this->acl()->isAllowed('budget:e:posteExpenseReferential:c')) : ?>
                                                            <a ng-if="group.id" ng-click="self.createPoste(group);" class="btn btn-xs btn-default" tooltip="<?= $this->translate('poste_expense_referential_add_poste') ?>">
                                                                <?= $this->icon('create') ?>
                                                            </a>
                                                        <?php endif; ?>
                                                        <?php if ($this->acl()->isAllowed('budget:e:posteExpenseReferential:d')) : ?>
                                                            <a ng-if="group.id" ng-click="self.deleteGroup(group, $index);" class="btn btn-xs btn-default" tooltip="<?= $this->translate('poste_expense_referential_delete_group') ?>">
                                                                <?= $this->icon('delete') ?>
                                                            </a>
                                                        <?php endif; ?>
                                                        <?php if ($this->acl()->isAllowed('budget:e:posteExpenseReferential:u')) : ?>
                                                            <a ng-if="group.id" ng-click="group.edit = true" class="btn btn-xs btn-default" tooltip="<?= $this->translate('poste_expense_referential_edit_group') ?>">
                                                                <?= $this->icon('edit') ?>
                                                            </a>
                                                        <?php endif; ?>                                                        
                                                    </div>
                                                </td>
                                                <td>
                                                    <span ng-if="!group.edit">{{group.name}}</span>
                                                    <input class="form-control" ng-if="group.edit" ng-model="group.name" />
                                                </td>
                                                <td style="background-color: #eeeeee;"></td>
                                                <td style="background-color: #eeeeee;"></td>
                                                <td>
                                                    <a ng-if="group.edit && group.id" ng-click="group.edit = false" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_close') ?>">
                                                        <?= $this->icon('close') ?>
                                                    </a> 
                                                    <a ng-if="group.edit" ng-click="self.save(group)" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_save') ?>">
                                                        <?= $this->icon('save') ?>
                                                    </a>
                                                </td>
                                            </tr>
                                            <tr ng-show="group.open" ng-repeat="poste in group.children">
                                                <td></td>
                                                <td>
                                                    <div class="btn-group btn-group-actions pull-right">
                                                        <?php if ($this->acl()->isAllowed('budget:e:posteExpenseReferential:d')) : ?>
                                                            <a ng-if="poste.id" ng-click="self.deletePoste(poste, $index, group)" class="btn btn-xs btn-default" tooltip="<?= $this->translate('poste_expense_referential_delete_poste') ?>">
                                                                <?= $this->icon('delete') ?>
                                                            </a>
                                                        <?php endif; ?>
                                                        <?php if ($this->acl()->isAllowed('budget:e:posteExpenseReferential:u')) : ?>
                                                            <a ng-if="poste.id" ng-click="poste.edit = true" class="btn btn-xs btn-default" tooltip="<?= $this->translate('poste_expense_referential_edit_poste') ?>">
                                                                <?= $this->icon('edit') ?>
                                                            </a>
                                                        <?php endif; ?>                                                        
                                                    </div>
                                                </td>
                                                <td style="text-indent: 50px;">
                                                    <span ng-if="!poste.edit">{{poste.name}}</span>
                                                    <input class="form-control" ng-if="poste.edit" ng-model="poste.name" />
                                                </td>
                                                <td>
                                                    <span ng-if="!poste.edit && poste.account">{{poste.account.code}} - {{poste.account.name}}</span>
                                                    <select class="form-control" ng-if="poste.edit" ng-model="poste.account" ng-options="account as account.code + ' - ' + account.name for account in self.accounts track by account.id"></select>
                                                </td>
                                                <td>
                                                    <span ng-if="!poste.edit && poste.category">{{poste.category.name}}</span>
                                                    <select class="form-control" ng-if="poste.edit" ng-model="poste.category" ng-options="category as category.name for category in self.categories track by category.id"></select>
                                                </td>
                                                <td>
                                                    <a ng-if="poste.edit && poste.id" ng-click="poste.edit = false" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_close') ?>">
                                                        <?= $this->icon('close') ?>
                                                    </a>                                                
                                                    <a ng-if="poste.edit" ng-click="self.save(poste);" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_save') ?>">
                                                        <?= $this->icon('save') ?>
                                                    </a>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$this->angular('js/src/budget/service/configuration.js');
$this->angular('js/src/budget/controller/configuration/posteExpense.js');
